Untitled

NS stuff
mail@pastecode.io avatar
unknown
plain_text
2 years ago
3.9 kB
2
Indexable
Never
Error:
Odoo Server Error

Traceback (most recent call last):
  File "/opt/odoo/customaddons/Zipline-Odoo/odoo/customaddons/zip_common_utils/api/netsuite/services/purchase_order.py", line 276, in receive
    response.raise_for_status()
  File "/usr/local/lib/python3.7/site-packages/requests/models.py", line 943, in raise_for_status
    raise HTTPError(http_error_msg, response=self)
requests.exceptions.HTTPError: 400 Client Error: Bad Request for url: https://3606935-sb2.suitetalk.api.netsuite.com/services/rest/record/v1/purchaseOrder/1668693/!transform/itemreceipt

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/odoo/odoo/odoo/http.py", line 619, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/opt/odoo/odoo/odoo/http.py", line 309, in _handle_exception
    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])
  File "/opt/odoo/odoo/odoo/tools/pycompat.py", line 14, in reraise
    raise value
  File "/opt/odoo/odoo/odoo/http.py", line 664, in dispatch
    result = self._call_function(**self.params)
  File "/opt/odoo/odoo/odoo/http.py", line 345, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/opt/odoo/odoo/odoo/service/model.py", line 93, in wrapper
    return f(dbname, *args, **kwargs)
  File "/opt/odoo/odoo/odoo/http.py", line 338, in checked_call
    result = self.endpoint(*a, **kw)
  File "/opt/odoo/odoo/odoo/http.py", line 909, in __call__
    return self.method(*args, **kw)
  File "/opt/odoo/odoo/odoo/http.py", line 510, in response_wrap
    response = f(*args, **kw)
  File "/opt/odoo/odoo/addons/web/controllers/main.py", line 1323, in call_button
    action = self._call_kw(model, method, args, kwargs)
  File "/opt/odoo/odoo/addons/web/controllers/main.py", line 1311, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
  File "/opt/odoo/odoo/odoo/api.py", line 395, in call_kw
    result = _call_kw_multi(method, model, args, kwargs)
  File "/opt/odoo/odoo/odoo/api.py", line 382, in _call_kw_multi
    result = method(recs, *args, **kwargs)
  File "/opt/odoo/customaddons/Zipline-Odoo/odoo/customaddons/zipline_material_consumption/models/stock_picking.py", line 141, in button_validate
    return super(StockPicking, self).button_validate()
  File "/opt/odoo/customaddons/Zipline-Odoo/odoo/customaddons/supplier_certification/models/stock_picking.py", line 211, in button_validate
    return super(StockPicking, self).button_validate()
  File "/opt/odoo/customaddons/Zipline-Odoo/odoo/customaddons/zip_mrp_planning/models/zip_block_planning.py", line 554, in button_validate
    return super(ZipStockPicking, self).button_validate()
  File "/opt/odoo/customaddons/Zipline-Odoo/odoo/customaddons/zip_mrp/models/picking.py", line 20, in button_validate
    return super(StockPicking, self).button_validate()
  File "/opt/odoo/customaddons/Zipline-Odoo/odoo/customaddons/zip_purchase_order/models/purchase_order.py", line 765, in button_validate
    purchase_id.receive_items(picking_id)
  File "/opt/odoo/customaddons/Zipline-Odoo/odoo/customaddons/zip_purchase_order/models/purchase_order.py", line 272, in receive_items
    net_con.purchase_order.receive(data, po)
  File "/opt/odoo/customaddons/Zipline-Odoo/odoo/customaddons/zip_common_utils/api/netsuite/services/purchase_order.py", line 283, in receive
    raise ValueError(error, response_error)
ValueError: (HTTPError('400 Client Error: Bad Request for url: https://3606935-sb2.suitetalk.api.netsuite.com/services/rest/record/v1/purchaseOrder/1668693/!transform/itemreceipt'), {'type': 'https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.1', 'title': 'Bad Request', 'status': 400, 'o:errorDetails': [{'detail': 'Error while accessing a resource. You must enter at least one line item for this transaction.', 'o:errorCode': 'USER_ERROR'}]})